import initDatabase from '../utils/initDatabase.js';

async function main() {
  try {
    console.log('Starting database reset...');
    await initDatabase(true);
    console.log('Database reset script finished.');
  } catch (error) {
    console.error('Database reset script failed:', error);
    process.exit(1);
  }
}

main(); 